#include <stdio.h>
#include "fftpert.h"

void help()
{
  printf("The only possible command line parameter is the name of configuration file.\n");
  printf("The name of default configuration file is %s\n",DEFAULT_CONFIG);
  printf("Format of the configuration file:\n\n");
  printf("first semi-major axis = xx.xxx (double)\n");
  printf("first eccentricity = xx.xxx (double)\n");
  printf("first inclination = xx.xxx (double)\n");
  printf("second semi-major axis = xx.xxx (double)\n");
  printf("second eccentricity = xx.xxx (double)\n");
  printf("second inclination = xx.xxx (double)\n");
  printf("range in first mean motion = iii (int)\n");
  printf("range in second mean motion = iii (int)\n");
  printf("range in first argument of perihelion = iii (int)\n");
  printf("range in second argument of perihelion = iii (int)\n");
  printf("range in the longitudes of the node = iii (int)\n");
  printf("perturbation function for the planet number = i (int = 1 or 2)\n");
  printf("argument mode = i (int = 1, 2 or 3)\n");
  printf("order of partial derivative w.r.t. alpha = i\n");
  printf("order of partial derivative w.r.t. e1 = i\n");
  printf("order of partial derivative w.r.t. i1 = i\n");
  printf("order of partial derivative w.r.t. e2 = i\n");
  printf("order of partial derivative w.r.t. i2 = i\n");
  printf("part to be computed (0 whole, 1 direct, 2 indirect) = i\n");
  printf("whether to print the coefficients = i (0=false or not 0 = true\n");
  printf("maximal abs value to be printed  = xx (double)\n");
  printf("whether to perform checks  = i (int 0=false or not 0 = true\n");
  printf("\nComments before = and any line starting with '%c' are ignored.\n",
         CONFIG_COMMENT_LINE);
  printf("atoi and atof are used to convert strings after '%c'.\n",
         CONFIG_DATA_SEPARATOR);

}







