#include <stdlib.h>
#include <math.h>
#include "fftpert.h"

/* check if |min| and |max| * BOUNDARY_SAFE are less than the 
   boundary for the indices from N-points FFT */

int safeq(INT min, INT max, INT N)
{

     DOUBLE aux1,aux2,aux3,aux4;

     aux1 = abs(min) * BOUNDARY_SAFE;
     
     if(min < 0)
       {
        aux2 = (DOUBLE) abs(N/2+1-N);
       }
     else
       {
        aux2 = (DOUBLE) abs(N/2);
       }

     aux3 = abs(max) * BOUNDARY_SAFE;
     
     if(max < 0)
       {
        aux4 = (DOUBLE) abs(N/2+1-N);
       }
     else
       {
        aux4 = (DOUBLE) abs(N/2);
       }

     if( aux1 <= aux2 && aux3 <= aux4 )
       {
        return(1);
       }
     else
       {
        return(0);
       }
     
}

